Package org.eclipse.emf.cdo.server

# Class CDOServerBrowser.PackagesPage

java.lang.Object
org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage
org.eclipse.emf.cdo.server.CDOServerBrowser.PackagesPage

All Implemented Interfaces:
  `CDOServerBrowser.Page`

Enclosing class:
  CDOServerBrowser

public static class CDOServerBrowser.PackagesPage extends CDOServerBrowser.AbstractPage
A `server browser page` that renders the package registry contents of a repository.

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`

### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

`PRODUCT_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`PackagesPage()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canDisplay(InternalRepository repository)`
`void`
`display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)`
`protected String`
`showPackage(InternalCDOPackageInfo info, InternalCDOPackageRegistry packageRegistry, CDOServerBrowser browser, String param, PrintStream out, String prefix)`

### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage

`getLabel, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

## Constructor Details

### PackagesPage

public PackagesPage()

## Method Details

### canDisplay

public boolean canDisplay(InternalRepository repository)

### display

public void display(CDOServerBrowser browser, InternalRepository repository, PrintStream out)

### showPackage

protected String showPackage(InternalCDOPackageInfo info, InternalCDOPackageRegistry packageRegistry, CDOServerBrowser browser, String param, PrintStream out, String prefix)